/* function prototypes */

	void tables(void);
	int tablesatcurve(void);
	int tablesubsup(void);
	int table1point(void);
	int calcprops(void);
	void switchvars(char p[],char q[]);
    int PROP(float *pP,float *pT,int isat,int itype,int nmax,
             float errtol,char *ERRMSG,float adj);

    float PSAT(float T);
    float TSAT(float P);
    void CLIPP(float *);
    void CLIPT(float *);
    void CLIPH(float *);
    void CLIPR(float *);
    void SUB(float P,float T);
    void SAT(float P, unsigned ITYPE);
    void SUP(float P,float T);
    void GSUB(float P,float T,float *GP1,float *GP2,float *GT1,float *GT2);
	void GSUP(float P,float T,float *GP1,float *GP2,float *GT1,float *GT2);

    float VF(float P);
	float VG(float P);
    float DF(float P);
    float DG(float P);
    float HF(float P);
    float HG(float P);
    float SF(float P);
	float SG(float P);
	float CPF(float P);
	float CPG(float P);

	float DRFDP(float P);
    float DVFDP(float P);
    float DHFDP(float P);
    float DSFDP(float P);
    float DRGDP(float P);
    float DVGDP(float P);
    float DHGDP(float P);
    float DSGDP(float P);
	float DTDP (float P);
	float DPDT (float T);

	float VFSUB (float P,float T);
	float VGSUP (float P,float T);
	float HGSUP (float P,float T);
	float SGSUP (float P,float T);
	float HFSUB (float P,float T);
	float HGSUP (float P,float T);
	float DFSUB (float P,float T);
	float DGSUP (float P,float T);
	float SFSUB (float P,float T);
	float SGSUP (float P,float T);
	float CPFSUB(float P,float T);
	float CPGSUP(float P,float T);

    float DRFDTP(float P,float T);
    float DRGDTP(float P,float T);
    float DRFDPT(float P,float T);
    float DRGDPT(float P,float T);
    float DHFDTP(float P,float T);
    float DHGDTP(float P,float T);
    float DHFDPT(float P,float T);
	float DHGDPT(float P,float T);
	float DSFDTP(float P,float T);
	float DSGDTP(float P,float T);
    float DSFDPT(float P,float T);
    float DSGDPT(float P,float T);

	float VISCF(float P);
	float VISCG(float P);
	float VIFSUB(float P,float T);
	float VIGSUP(float P,float T);
	float TCF(float P);
	float TCG(float P);
	float TCFSUB(float P,float T);
	float TCGSUP(float P,float T);
	float SIGMAF(float T);

	float visco(float v,float T);
	float tcond(float v,float T);

/* external variables declaration */

	extern float VFP,VGP,RHOF,RHOG,HFP,HGP,SFP,SGP,EFP,EGP;
	extern float VOL,TOTM,TOTH,TOTS,TOTE,X,VOID,RHO,SPECVOL;
	extern float SPECH,SPECS,SPECE,PS,TS;
	
	extern float SRFDP,SRFDT,SRGDP,SRGDT,SHFDP,SHFDT;
	extern float SHGDP,SHGDT,G1P,G2P,G1T,G2T,F1,F2,F3,F4,F5;
	extern float STDP,SPDT,SRDP,SRDT,SHDP,SHDT;
	extern float SSFDP,SSFDT,SSGDP,SSGDT,SSDP,SSDT;
	
	extern float CPFP,CPGP,VISCFP,VISCGP,BETAFP,BETAGP,AKFP,AKGP;
	extern float CP,VISC,BETA,AK,SPEEDFP,SPEEDGP,SPEED,CVFP,CVGP,CV;
	extern float TC,TCFP,TCGP,SIGMA;
	
	extern char *ERRH2O;

/* end of external variable declaration */
    